import os

# Define the directory path
directory = '.'

# Loop through all files in the directory
for filename in os.listdir(directory):
    # Check if the file is a .java file
    if filename.endswith('.java'):
        # Construct the full file path
        filepath = os.path.join(directory, filename)

        # Read in the file
        with open(filepath, 'r') as file:
            filedata = file.read()

        # # Replace the target string
        # filedata = filedata.replace('javax.persistence', 'jakarta.persistence')
        # filedata = filedata.replace('@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_DATA_STATUS")', '@Convert(converter = TYPE_DATA_STATUS_CONVERTER.class)')
        # filedata = filedata.replace('import esi.examwh.model.common.TYPE_DATA_STATUS;', 'import esi.examwh.model.common.TYPE_DATA_STATUS;\nimport esi.examwh.model.common.converter.TYPE_DATA_STATUS_CONVERTER;')
        # """need refactoring
        # if '@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_FLAG' in filedata:
        #     filedata = filedata.replace('@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_FLAG")', '@Convert(converter = TYPE_FLAG_CONVERTER.class)')
        #     filedata = filedata.replace('import esi.examwh.model.common.TYPE_DATA_STATUS;', 'import esi.examwh.model.common.TYPE_DATA_STATUS;\nimport esi.examwh.model.common.converter.TYPE_FLAG_CONVERTER;')
        # if '@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_EXAM_ITEM_SELECTED_STATUS")' in filedata:
        #     filedata = filedata.replace('@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_EXAM_ITEM_SELECTED_STATUS")', '@Convert(converter = TYPE_EXAM_ITEM_SELECTED_STATUS_CONVERTER.class)')
        #     filedata = filedata.replace('import esi.examwh.model.common.TYPE_DATA_STATUS;', 'import esi.examwh.model.common.TYPE_DATA_STATUS;\nimport esi.examwh.model.common.converter.TYPE_EXAM_ITEM_SELECTED_STATUS_CONVERTER;')
        # if '@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_USED_STATUS")' in filedata:
        #     filedata = filedata.replace('@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_USED_STATUS")', '@Convert(converter = TYPE_USED_STATUS_CONVERTER.class)')
        #     filedata = filedata.replace('import esi.examwh.model.common.TYPE_DATA_STATUS;', 'import esi.examwh.model.common.TYPE_DATA_STATUS;\nimport esi.examwh.model.common.converter.TYPE_USED_STATUS_CONVERTER;')
        # if '@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_EXAM")' in filedata:
        #     filedata = filedata.replace('@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_EXAM")', '@Convert(converter = TYPE_EXAM_CONVERTER.class)')
        #     filedata = filedata.replace('import esi.examwh.model.common.TYPE_DATA_STATUS;', 'import esi.examwh.model.common.TYPE_DATA_STATUS;\nimport esi.examwh.model.common.converter.TYPE_EXAM_CONVERTER;')
        # if '@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_CREATED")' in filedata:
        #     filedata = filedata.replace('@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_CREATED")', '@Convert(converter = TYPE_CREATED_CONVERTER.class)')
        #     filedata = filedata.replace('import esi.examwh.model.common.TYPE_DATA_STATUS;', 'import esi.examwh.model.common.TYPE_DATA_STATUS;\nimport esi.examwh.model.common.converter.TYPE_CREATED_CONVERTER;')
        # if '@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_EXAMINATION")' in filedata:
        #     filedata = filedata.replace('@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_EXAMINATION")', '@Convert(converter = TYPE_EXAMINATION_CONVERTER.class)')
        #     filedata = filedata.replace('import esi.examwh.model.common.TYPE_DATA_STATUS;', 'import esi.examwh.model.common.TYPE_DATA_STATUS;\nimport esi.examwh.model.common.converter.TYPE_EXAMINATION_CONVERTER;')
        # if '@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_GROUP_COMMAND_DISPLAY")' in filedata:
        #     filedata = filedata.replace('@Type(type = "esi.examwh.model.common.persistent.HB_TYPE_GROUP_COMMAND_DISPLAY")', '@Convert(converter = TYPE_GROUP_COMMAND_DISPLAY_CONVERTER.class)')
        #     filedata = filedata.replace('import esi.examwh.model.common.TYPE_DATA_STATUS;', 'import esi.examwh.model.common.TYPE_DATA_STATUS;\nimport esi.examwh.model.common.converter.TYPE_GROUP_COMMAND_DISPLAY_CONVERTER;')
        # """
        # # Refactored
        # while '@Type(type = "esi.examwh.model.common.persistent.HB_' in filedata:
        #     type_name = filedata.split('@Type(type = "esi.examwh.model.common.persistent.HB_')[1].split('"')[0]
        #     converter_name = type_name.upper() + '_CONVERTER'
        #     filedata = filedata.replace(f'@Type(type = "esi.examwh.model.common.persistent.HB_{type_name}")', f'@Convert(converter = {converter_name}.class)')
        #     filedata = filedata.replace('import esi.examwh.model.common.TYPE_DATA_STATUS;', f'import esi.examwh.model.common.TYPE_DATA_STATUS;\nimport esi.examwh.model.common.converter.{converter_name};')
        # filedata = filedata.replace('import jakarta.persistence.Version;', 'import jakarta.persistence.Version;\nimport jakarta.persistence.Convert;')
        filedata = filedata.replace('@Enumerated(EnumType.ORDINAL)', '// @Enumerated(EnumType.ORDINAL)')

        # Write the file out again
        with open(filepath, 'w') as file:
            file.write(filedata)
